<template>
	<div class="">
		<div class="container job-search-container">
			<div class="row justify-content-center">
				<h1 class="text-white font-weight-bold">
					<span style="color: #42b883">POST</span> A NEW JOB
				</h1 class="text-white">
			</div>
		</div>
		<div class="container mb-5">
			<div class="row justify-content-center">
				<div class="col-10 col-sm-12 col-md-12 col-lg-10 job-form-box pt-5">
					<job-form></job-form>
				</div>
			</div>
		</div>
	</div>
</template>

<style>
	.el-form-item {
		padding-bottom: 1rem;
	}
	.jobFormInput input {
		border-radius: 30px;
		height: 40px;
	}
	.el-form--label-top .el-form-item__label {
		line-height: 0;
		margin-left: 5px;
		font-size: 18px;
	}
	.jobFormInput input, .jobFormInput input:focus {
		border-color: #42b883;
	}
	.el-textarea__inner:focus {
		border-color: #42b883;
	}
	.el-select {
		width: 100%;
	}
	.jobPostBtn {
		font-size: 18px;
		background-color: #42b883;
    	border-color: #42b883;
    	outline: none;
    	position: relative;
    	z-index: 1;
	}
	.jobPostBtn:focus, .jobPostBtn:hover {
		outline: none;
		background-color: #42b883;
	}
	.jobPostBtn:hover::before {
	    background-color: rgba(255,255,255,.2);
	    opacity: 1;
	    transform: scale(1,1); 
	}
	.jobPostBtn::before {
    	content: '';
	    position: absolute;
	    top: 0;
	    left: 0;
	    width: 100%;
	    height: 100%;
	    z-index: 1;
	    border-radius: 30px; 
	    opacity: 0;
	    transform: scale(0,0);
	    z-index: -1;
	    transition: all .5s ease-out 0s;
	}
	.el-radio {
        color: #000;
    }
    .el-radio--medium.is-bordered .el-radio__label {
        font-size: 16px;
        font-weight: bold;
    }
    .el-radio.is-bordered.is-checked {
        border-color: #42b883; 
    }
    .el-radio__input.is-checked .el-radio__inner {
        border-color: #42b883;
        background: #42b883;
    }
    .el-radio__input.is-checked+.el-radio__label {
        color: #42b883;
    }
</style>

<script>
	import jobForm from "./jobForm.vue"
	import { VueEditor } from 'vue2-editor'

	export default {
		props: ['user'],
		data() {
			return {
				labelPosition: 'top',
		        
			}
		},
		components: {
		    VueEditor,
		    'job-form': jobForm,
		},
		methods: {
			createForm(formName) {
				this.$refs[formName].validate((valid) => {
            	    if (valid) {
	    	            axios.post('/job', {
	    	            	user_id: this.$auth.user().id,
	    	                title: this.jobForm.title,
	    	                category: this.jobForm.category,
	    	                salary: this.jobForm.salary,
	    	                location: this.jobForm.location,
	    	                gender: this.jobForm.gender,
	    	                position_type: this.jobForm.position_type,
	    	                description: this.jobForm.desc,
	    	                company_name: this.jobForm.company_name,
	    	                company_website: this.jobForm.company_website,
	    	            })
	    	            .then(response => {
	    	                this.$message({
			                	type: 'success',
			                	message: 'Successfully created',
	    	                });
	    	                this.$refs[formName].resetFields();
	    	            })
	    	        } else {
	    	            this.$message({
		                	type: 'warning',
		                	message: 'Please check and input correct fields!',
    	                });
	    	            return false;
	    	        }
            	});
			}
		},
	}
</script>